#!/bin/sh

# logfile
LOGFN=/opt/openoffice.org2.0/startupOOo.log

printlog(){
    echo "`date '+%y/%m/%d %H:%M'` $*" >> $LOGFN
}

printlog "start startupOOo.sh"

while true
do
    if ps -ef | grep soffice.bin | grep -v grep > /dev/null; then
        sleep 15
    else
        printlog "Restarting OpenOffice.org..."
        HOME=/root
        /usr/bin/soffice -accept="socket,port=8100;urp;StarOffice.ServiceManager" -headless -display :1.0 >> $LOGFN 2>&1 &
        sleep 15
    fi
done

exit 0
